org.apache.calcite.avatica.proto

## Class Common.QueryState

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.QueryState

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.QueryStateOrBuilder

Enclosing class:
  Common

    public static final class Common.QueryState
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.QueryStateOrBuilder

Protobuf type `QueryState`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.QueryState.Builder` Protobuf type `QueryState`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private List<Common.MetaDataOperationArgument>` `args_`
`static int` `ARGS_FIELD_NUMBER`
`private int` `bitField0_`
`private static Common.QueryState` `DEFAULT_INSTANCE`
`static int` `HAS_ARGS_FIELD_NUMBER`
`static int` `HAS_OP_FIELD_NUMBER`
`static int` `HAS_SQL_FIELD_NUMBER`
`private boolean` `hasArgs_`
`private boolean` `hasOp_`
`private boolean` `hasSql_`
`private byte` `memoizedIsInitialized`
`private int` `op_`
`static int` `OP_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Common.QueryState>` `PARSER`
`private static long` `serialVersionUID`
`private Object` `sql_`
`static int` `SQL_FIELD_NUMBER`
`private int` `type_`
`static int` `TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `QueryState()`
`private` `QueryState(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `QueryState(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Common.MetaDataOperationArgument` `getArgs(int index)` `repeated .MetaDataOperationArgument args = 4;`
`int` `getArgsCount()` `repeated .MetaDataOperationArgument args = 4;`
`List<Common.MetaDataOperationArgument>` `getArgsList()` `repeated .MetaDataOperationArgument args = 4;`
`Common.MetaDataOperationArgumentOrBuilder` `getArgsOrBuilder(int index)` `repeated .MetaDataOperationArgument args = 4;`
`List<? extends Common.MetaDataOperationArgumentOrBuilder>` `getArgsOrBuilderList()` `repeated .MetaDataOperationArgument args = 4;`
`static Common.QueryState` `getDefaultInstance()`
`Common.QueryState` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`boolean` `getHasArgs()` `bool has_args = 5;`
`boolean` `getHasOp()` `bool has_op = 7;`
`boolean` `getHasSql()` `bool has_sql = 6;`
`Common.MetaDataOperation` `getOp()` `.MetaDataOperation op = 3;`
`int` `getOpValue()` `.MetaDataOperation op = 3;`
`com.google.protobuf.Parser<Common.QueryState>` `getParserForType()`
`int` `getSerializedSize()`
`String` `getSql()` `string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `string sql = 2;`
`Common.StateType` `getType()` `.StateType type = 1;`
`int` `getTypeValue()` `.StateType type = 1;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.QueryState.Builder` `newBuilder()`
`static Common.QueryState.Builder` `newBuilder(Common.QueryState prototype)`
`Common.QueryState.Builder` `newBuilderForType()`
`protected Common.QueryState.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.QueryState` `parseDelimitedFrom(InputStream input)`
`static Common.QueryState` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.QueryState` `parseFrom(byte[] data)`
`static Common.QueryState` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.QueryState` `parseFrom(ByteBuffer data)`
`static Common.QueryState` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.QueryState` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.QueryState` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.QueryState` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.QueryState` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.QueryState` `parseFrom(InputStream input)`
`static Common.QueryState` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.QueryState>` `parser()`
`Common.QueryState.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### bitField0_

    private int bitField0_

#### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### type_

    private int type_

#### SQL_FIELD_NUMBER

    public static final int SQL_FIELD_NUMBER

See Also:
  Constant Field Values

#### sql_

    private volatile Object sql_

#### OP_FIELD_NUMBER

    public static final int OP_FIELD_NUMBER

See Also:
  Constant Field Values

#### op_

    private int op_

#### ARGS_FIELD_NUMBER

    public static final int ARGS_FIELD_NUMBER

See Also:
  Constant Field Values

#### args_

    private List<Common.MetaDataOperationArgument> args_

#### HAS_ARGS_FIELD_NUMBER

    public static final int HAS_ARGS_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasArgs_

    private boolean hasArgs_

#### HAS_SQL_FIELD_NUMBER

    public static final int HAS_SQL_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasSql_

    private boolean hasSql_

#### HAS_OP_FIELD_NUMBER

    public static final int HAS_OP_FIELD_NUMBER

See Also:
  Constant Field Values

#### hasOp_

    private boolean hasOp_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.QueryState DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.QueryState> PARSER

### Constructor Detail

#### QueryState

    private QueryState(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### QueryState

    private QueryState()

#### QueryState

    private QueryState(com.google.protobuf.CodedInputStream input,
                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getTypeValue

    public int getTypeValue()

`.StateType type = 1;`

Specified by:
  `getTypeValue` in interface `Common.QueryStateOrBuilder`

#### getType

    public Common.StateType getType()

`.StateType type = 1;`

Specified by:
  `getType` in interface `Common.QueryStateOrBuilder`

#### getSql

    public String getSql()

`string sql = 2;`

Specified by:
  `getSql` in interface `Common.QueryStateOrBuilder`

#### getSqlBytes

    public com.google.protobuf.ByteString getSqlBytes()

`string sql = 2;`

Specified by:
  `getSqlBytes` in interface `Common.QueryStateOrBuilder`

#### getOpValue

    public int getOpValue()

`.MetaDataOperation op = 3;`

Specified by:
  `getOpValue` in interface `Common.QueryStateOrBuilder`

#### getOp

    public Common.MetaDataOperation getOp()

`.MetaDataOperation op = 3;`

Specified by:
  `getOp` in interface `Common.QueryStateOrBuilder`

#### getArgsList

    public List<Common.MetaDataOperationArgument> getArgsList()

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsList` in interface `Common.QueryStateOrBuilder`

#### getArgsOrBuilderList

    public List<? extends Common.MetaDataOperationArgumentOrBuilder> getArgsOrBuilderList()

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsOrBuilderList` in interface `Common.QueryStateOrBuilder`

#### getArgsCount

    public int getArgsCount()

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsCount` in interface `Common.QueryStateOrBuilder`

#### getArgs

    public Common.MetaDataOperationArgument getArgs(int index)

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgs` in interface `Common.QueryStateOrBuilder`

#### getArgsOrBuilder

    public Common.MetaDataOperationArgumentOrBuilder getArgsOrBuilder(int index)

`repeated .MetaDataOperationArgument args = 4;`

Specified by:
  `getArgsOrBuilder` in interface `Common.QueryStateOrBuilder`

#### getHasArgs

    public boolean getHasArgs()

`bool has_args = 5;`

Specified by:
  `getHasArgs` in interface `Common.QueryStateOrBuilder`

#### getHasSql

    public boolean getHasSql()

`bool has_sql = 6;`

Specified by:
  `getHasSql` in interface `Common.QueryStateOrBuilder`

#### getHasOp

    public boolean getHasOp()

`bool has_op = 7;`

Specified by:
  `getHasOp` in interface `Common.QueryStateOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.QueryState parseFrom(ByteBuffer data)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.QueryState parseFrom(ByteBuffer data,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.QueryState parseFrom(com.google.protobuf.ByteString data)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.QueryState parseFrom(com.google.protobuf.ByteString data,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.QueryState parseFrom(byte[] data)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.QueryState parseFrom(byte[] data,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.QueryState parseFrom(InputStream input)
                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.QueryState parseFrom(InputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.QueryState parseDelimitedFrom(InputStream input)
                                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.QueryState parseDelimitedFrom(InputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.QueryState parseFrom(com.google.protobuf.CodedInputStream input)
                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.QueryState parseFrom(com.google.protobuf.CodedInputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.QueryState.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.QueryState.Builder newBuilder()

#### newBuilder

    public static Common.QueryState.Builder newBuilder(Common.QueryState prototype)

#### toBuilder

    public Common.QueryState.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.QueryState.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.QueryState getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.QueryState> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.QueryState> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.QueryState getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`